CREATE TABLE ad_patch_run_bug_actions (
    ACTION_ID                      NUMBER           NOT NULL,
    IS_ONE_OFF                     VARCHAR2(8)  ,
    PATCH_RUN_BUG_ID               NUMBER           NOT NULL,
    FILE_ID                        NUMBER           NOT NULL,
    COMMON_ACTION_ID               NUMBER           NOT NULL,
    PATCH_FILE_VERSION_ID          NUMBER       ,
    ONSITE_FILE_VERSION_ID         NUMBER       ,
    ONSITE_PKG_VERSION_IN_DB_ID    NUMBER       ,
    EXECUTED_FLAG                  VARCHAR2(4)      NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    DEST_FILE_ID                   NUMBER       ,
    FILE_TYPE_FLAG                 VARCHAR2(4)  ,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    ORA_EDITION_CONTEXT            VARCHAR2(120)    NOT NULL,
    ACTION_ID                      NUMBER           NOT NULL,
    IS_ONE_OFF                     VARCHAR2(8)  ,
    PATCH_RUN_BUG_ID               NUMBER           NOT NULL,
    FILE_ID                        NUMBER           NOT NULL,
    COMMON_ACTION_ID               NUMBER           NOT NULL,
    PATCH_FILE_VERSION_ID          NUMBER       ,
    ONSITE_FILE_VERSION_ID         NUMBER       ,
    ONSITE_PKG_VERSION_IN_DB_ID    NUMBER       ,
    EXECUTED_FLAG                  VARCHAR2(4)      NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    DEST_FILE_ID                   NUMBER       ,
    FILE_TYPE_FLAG                 VARCHAR2(4)  ,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    ORA_EDITION_CONTEXT            VARCHAR2(120)    NOT NULL
);
